SDL_RenderDebugTextFormat(3)

NAME
SDL_RenderDebugTextFormat - Draw debug text to an SDL_Renderer.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_RenderDebugTextFormat(SDL_Renderer *renderer, float x, float y, const char *fmt, ...);

DESCRIPTION
This function will render a printf()-style format string to a renderer. Note that this is a convinence function for debugging, with severe limitations, and is not intended to be used for production apps and games.

For the full list of limitations and other useful information, see SDL_RenderDebugText.

FUNCTION PARAMETERS

renderer
    the renderer which should draw the text.

x   the x coordinate where the top-left corner of the text will draw.

y   the y coordinate where the top-left corner of the text will draw.

fmt the format string to draw.

... additional parameters matching % tokens in the fmt string, if any.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_RenderDebugText(3), SDL_DEBUG_TEXT_FONT_CHARACTER_SIZE(3)